<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>HTML Basics</title>
    <link rel="stylesheet" href="style.css" />
  </head>

  <body>
    <div id="wrapper">
      <div id="main">
        <div id="container">
          <div id="content" role="main">
            <!-- TODO: Content goes here -->
            <img src="logo.png" alt="logo" />
            <h1 id="home">HTML Elements</h1>
            <hr />

            <nav>
              <a href="#home">Home</a>
              <a href="#headers">Headers</a>
              <a href="#table">Table</a>
              <a href="#lists">List</a>
              <a href="#textformats">Text formats</a>
              <a href="#blockquotes">Blockquotes</a>
            </nav>
            <hr />

            <p id="headers">
              Pay attention to h1 tag inside section element. Font-size for h1
              is the same as font-size for h2, because we have to use only one
              h1 on the page, and it is commonly used inside header
            </p>
            <h2>Header 2</h2>
            <h3>Header 3</h3>
            <h4>Header 4</h4>
            <h5>Header 5</h5>
            <h6>Header 6</h6>
            <hr />

            <p>
              Lorem ipsum dolor sit amet,
              <a href="#">test link</a> adipiscing elit.
              <strong>This is strong.</strong>
              Nullam dignissim convallis est. Quisque aliquam.
              <em>This is emphasized.</em> Donec faucibus. Nunc iaculis suscipit
              dui. 5<sup>3</sup> = 125. Water is H<sub>2</sub>O. Nam sit amet
              sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida
              vehicula, nisl. <cite>The New York Times</cite> (That's a
              citation).
              <u>Underline.</u>
              Maecenas ornare tortor. Donec sed tellus eget sapien fringilla
              nonummy. Mauris a ante. Suspendisse quam sem, consequat at,
              commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis
              tellus.
            </p>

            <p>
              <abbr title="Hyper Text Markup Language">HTML</abbr> and
              <abbr title="Cascading Style Sheets">CSS</abbr> are our tools.
              Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae,
              feugiat in, nunc. Morbi imperdiet augue quis tellus. Praesent
              mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu
              volutpat enim diam eget metus. To copy a file type
              <code>COPY <var>filename</var></code
              >. <del>Dinner's at 5:00.</del> <ins>Let's make that 7.</ins> This
              <del>text</del> has been struck.
            </p>
            <hr />

            <h3 id="table">Table</h3>
            <table>
              <tbody>
                <tr>
                  <th>Header</th>
                  <th>Header</th>
                  <th>Header</th>
                </tr>
                <tr>
                  <td>Lviv</td>
                  <td>Kyiv</td>
                  <td>Kharkiv</td>
                </tr>
                <tr class="even">
                  <td>Odessa</td>
                  <td>Zhytomyr</td>
                  <td>Dnipropetrovsk</td>
                </tr>
                <tr>
                  <td>Sumy</td>
                  <td>Chernivtsi</td>
                  <td>Lutsk</td>
                </tr>
              </tbody>
            </table>

            <h3 id="lists">Unordered list</h3>
            <ul>
              <li>List item 1</li>
              <li>
                List item 2
                <ul>
                  <li>Some nested list item 1</li>
                </ul>
              </li>
              <li>List item 3</li>
            </ul>

            <h3>Ordered list</h3>
            <ol>
              <li>List item 1</li>
              <li>
                List item 2
                <ol>
                  <li>Some nested list item 1</li>
                </ol>
              </li>
              <li>List item 3</li>
            </ol>

            <h3>Definition list</h3>
            <dl>
              <dt>defines terms 1</dt>
              <dd>description 1</dd>
              <dt>defines terms 2</dt>
              <dd>description 2</dd>
            </dl>

            <label for="list">Details</label>
            <select name="list" id="list">
              <option value="html">HTML</option>
            </select>
            <hr />

            <h3 id="textformats">Text formats</h3>
            <h4>Article Text</h4>
            <article>
              <h3>Article title</h3>
              <p>Article description</p>
            </article>

            <h4>Preformatted text</h4>
            <pre>
<strong>Text</strong>
  in a <strong>pre</strong> element
    is displayed in a fixed-width
font, and it preserves
both           spaces and
    line breaks
            </pre>

            <h4>Code</h4>
            <pre>
              <code>
.wrapper {
  display: flex;
  vertical-align: middle;
  justify-content: center;
}
              </code>
            </pre>

            <h3 id="blockquotes">Blockquotes</h3>
            <p>
              Let's keep it simple. Italics are good to help set it off from the
              body text. Be sure to style the citation.
            </p>
            <blockquote>
              <p>
                "If you go back a few hundred years, what we take for granted
                today would seem like magic-being able to talk to people over
                long distances, to transmit images, flying, accessing vast
                amounts of data like an oracle. These are all things that would
                have been considered magic a few hundred years ago."
                <br />
                <cite>
                  <a href="https://en.wikipedia.org/wiki/Elon_Musk"
                    >Elon Musk</a
                  >
                </cite>
              </p>
            </blockquote>
            <hr />

            <form>
              <label for="fname">First name:</label>
              <input type="text" id="fname" name="fname" /><br />

              <label for="lname">Surname:</label>
              <input type="text" id="lname" name="lname" /><br />

              <label for="email">Email:</label>
              <input type="email" id="email" name="email" /><br />

              <textarea
                id="details"
                name="details"
                rows="10"
                cols="32"
              ></textarea>
              <br />

              <input type="submit" value="Submit" />
            </form>

            <footer>
              <p>© Copyright Epam Systems</p>
            </footer>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
